package colour

import "strconv"

// Status colour code statuscodes
func Status(statuscode int) (status string) {
	switch {
	case statuscode == 200:
		status = GreenString(strconv.Itoa(statuscode))
	case statuscode >= 500 && statuscode <= 511:
		status = RedString(strconv.Itoa(statuscode))
	case statuscode >= 400 && statuscode <= 451:
		status = YellowString(strconv.Itoa(statuscode))
	default:
		status = MagentaString(strconv.Itoa(statuscode))
	}
	return status
}
